Subject: Re: bug#71768: 31.0.50; Filling jsdoc text doesn't work in js-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Jun 2024 16:05:04 +0300

merge 71768 71760
thanks

> From: Damien Cassou <[email-masked]>
> Date: Mon, 24 Jun 2024 21:28:28 +0200
> 
> Hi,
> 
> in a commit recently merged in master (0edacf2aa7e53), js-ts-mode has
> been improved to use the jsdoc treesitter grammar on documentation. Font
> lock works great but M-q doesn't fill long lines.
> 
> To reproduce, make sure your Emacs contains the above-mentioned commit
> and make sure you have the jsdoc treesitter grammar available. Then,
> save the attached JavaScript file to your disk and execute:
> 
> $ emacs -Q --eval "(progn (find-file \"/home/cassou/tmp/test.js\") (js-ts-mode))"
> 
> Move point to the middle of line 2 (or line 4) and press M-q.
> 
> Expected: The paragraph is filled.
> 
> Actual: Nothing changes.
> 
> I tried changing the value of `c-ts-common--comment-regexp' to include
> "description" (as this is what the jsdoc parser uses for text) but the
> result is worse. I also tried reusing `js-fill-paragraph' but that fails
> as well.
> 
> I would be happy to implement something and send a patch but I have no
> idea were to start.

This is an exact duplicate of bug#71760 which you submitted an hour
later, from a different email address.  I'm merging them.